Subject: Keyboard layout is wrong

From: "Albrecht, Daniel S." <[email-masked]>
Date: Fri, 7 Nov 2014 16:49:12 +0000

Package: keyboard layout
Version. 2.7.7

Just yesterday, I attempted to connect remotely to my work desktop using X2go and the keyboard layout was completely erratic (e = backspace, enter = j, etc.).  When I attempt to change the keyboard layout in preferences, no matter what input I choose, I get the following error:

Error activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
70000000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd

When I use an X11 terminal to run the xprop and gconftrool-2, I get the following responses:

bash-3.2$ xprop -root|grep XKB
_XKB_RULES_NAMES(STRING) = "base", "empty", "empty", "", ""

bash-3.2$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
bash: gconftool-2: command not found

I'm also having some connectivity issues, where X2go closes unexpectedly at least once before I'm able to log on, I don't know if that issue is related to the keyboard one or not.  Thank you,

Dan Albrecht

The information in this e-mail is intended only for the person to whom it is
addressed. If you believe this e-mail was sent to you in error and the e-mail
contains patient information, please contact the Partners Compliance HelpLine at
http://www.partners.org/complianceline . If the e-mail was sent to you in error
but does not contain patient information, please contact the sender and properly
dispose of the e-mail.